Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Greg KH <[email-masked]>
Date: Tue, 9 Jul 2024 14:33:17 +0200

On Tue, Jul 09, 2024 at 03:25:47PM +0300, Leon Romanovsky wrote:
> On Tue, Jul 09, 2024 at 12:01:06PM +0200, Greg KH wrote:
> > On Mon, Jul 08, 2024 at 03:26:43PM -0700, Dan Williams wrote:
> 
> <...>
> 
> > > It sets common expectations for
> > > device designers, distribution maintainers, and kernel developers. It is
> > > complimentary to the Linux-command path for operations that need deeper
> > > kernel coordination.
> > 
> > Yes, it's a good start, BUT by circumventing the network control plane,
> > the network driver maintainers rightfully are worried about this as
> > their review comments seem to be ignored here.  The rest of us
> > maintainers can't ignore that objection, sorry.
> 
> Can you please point to the TECHNICAL review comments that were
> presented and later ignored?

I can't remember review comments that were made yesterday, let alone
months ago, sorry.

greg k-h